/*
 * Copyright 1997 Vectaport Inc.
 *
 * Permission to use, copy, modify, distribute, and sell this software and
 * its documentation for any purpose is hereby granted without fee, provided
 * that the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the names of the copyright holders not be used in
 * advertising or publicity pertaining to distribution of the software
 * without specific, written prior permission.  The copyright holders make
 * no representations about the suitability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.
 *
 * THE COPYRIGHT HOLDERS DISCLAIM ALL WARRANTIES WITH REGARD TO THIS
 * SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS.
 * IN NO EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY SPECIAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING
 * FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,
 * NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION
 * WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 * 
 */

#ifndef demclasses_h
#define demclasses_h

#include <OverlayUnidraw/ovclasses.h>

#define SURFACE_COMP      7001
#define DEMIDRAW_COMP     7002
#define ROADS_COMP        7003
#define ACTOR_COMP        7004

#define SURFACE_VIEW      Combine(SURFACE_COMP, COMPONENT_VIEW)
#define SURFACE_SCRIPT    Combine(SURFACE_COMP, SCRIPT_VIEW)
#define DEMIDRAW_VIEW      Combine(DEMIDRAW_COMP, COMPONENT_VIEW)
#define DEMIDRAW_SCRIPT    Combine(DEMIDRAW_COMP, SCRIPT_VIEW)
#define ROADS_VIEW      Combine(ROADS_COMP, COMPONENT_VIEW)
#define ROADS_SCRIPT    Combine(ROADS_COMP, SCRIPT_VIEW)
#define ACTOR_VIEW      Combine(ACTOR_COMP, COMPONENT_VIEW)

#endif
